Package org.springframework.web.client

# Interface RestClient.RequestHeadersUriSpec<S extends RestClient.RequestHeadersSpec<S>>

Type Parameters:
  `S` - a self reference to the spec type

All Superinterfaces:
  `RestClient.RequestHeadersSpec<S>`, `RestClient.UriSpec<S>`

All Known Subinterfaces:
  `RestClient.RequestBodyUriSpec`

Enclosing interface:
  RestClient

public static interface RestClient.RequestHeadersUriSpec<S extends RestClient.RequestHeadersSpec<S>> extends RestClient.UriSpec<S>, RestClient.RequestHeadersSpec<S>
Contract for specifying request headers and URI for a request.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.client.RestClient.RequestHeadersSpec

`RestClient.RequestHeadersSpec.ConvertibleClientHttpResponse, RestClient.RequestHeadersSpec.ExchangeFunction<T>, RestClient.RequestHeadersSpec.RequiredValueExchangeFunction<T>`

## Method Summary

### Methods inherited from interface org.springframework.web.client.RestClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, exchange, exchangeForRequiredValue, exchangeForRequiredValue, header, headers, httpRequest, ifModifiedSince, ifNoneMatch, retrieve`

### Methods inherited from interface org.springframework.web.client.RestClient.UriSpec

`uri, uri, uri, uri, uri`